Changeset 1380 for stable


Ignore:
Timestamp:
Jul 7, 2009 12:47:06 PM (10 years ago)
Author:
andreasw
Message:

added --with-proj* configure options

Location:
stable/BSPsplit/Clp
Files:
6 edited

Legend:

Unmodified
Added
Removed
  • stable/BSPsplit/Clp/Makefile.in

    r1162 r1380  
    121121CFLAGS = @CFLAGS@
    122122CLPDOCDIR = @CLPDOCDIR@
     123CLPINSTDIR = @CLPINSTDIR@
    123124CLPOBJDIR = @CLPOBJDIR@
    124125CLPSRCDIR = @CLPSRCDIR@
    125126COINUTILSDOCDIR = @COINUTILSDOCDIR@
     127COINUTILSINSTDIR = @COINUTILSINSTDIR@
    126128COINUTILSOBJDIR = @COINUTILSOBJDIR@
    127129COINUTILSSRCDIR = @COINUTILSSRCDIR@
    128130COIN_HAS_CLP_FALSE = @COIN_HAS_CLP_FALSE@
     131COIN_HAS_CLP_INSTALLED_FALSE = @COIN_HAS_CLP_INSTALLED_FALSE@
     132COIN_HAS_CLP_INSTALLED_TRUE = @COIN_HAS_CLP_INSTALLED_TRUE@
    129133COIN_HAS_CLP_TRUE = @COIN_HAS_CLP_TRUE@
    130134COIN_HAS_COINUTILS_FALSE = @COIN_HAS_COINUTILS_FALSE@
     135COIN_HAS_COINUTILS_INSTALLED_FALSE = @COIN_HAS_COINUTILS_INSTALLED_FALSE@
     136COIN_HAS_COINUTILS_INSTALLED_TRUE = @COIN_HAS_COINUTILS_INSTALLED_TRUE@
    131137COIN_HAS_COINUTILS_TRUE = @COIN_HAS_COINUTILS_TRUE@
    132138CPP = @CPP@
  • stable/BSPsplit/Clp/configure

    r1349 r1380  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COINUTILSSRCDIR COINUTILSOBJDIR COINUTILSDOCDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE CLPSRCDIR CLPOBJDIR CLPDOCDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COINUTILSSRCDIR COINUTILSOBJDIR COINUTILSDOCDIR COINUTILSINSTDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE COIN_HAS_COINUTILS_INSTALLED_TRUE COIN_HAS_COINUTILS_INSTALLED_FALSE CLPSRCDIR CLPOBJDIR CLPDOCDIR CLPINSTDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE COIN_HAS_CLP_INSTALLED_TRUE COIN_HAS_CLP_INSTALLED_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11051105  --with-tags[=TAGS]
    11061106                          include additional configurations [automatic]
     1107  --with-coinutils-instdir
     1108                          prefix of installation directory for precompiled
     1109                          CoinUtils package
     1110  --with-coinutils-srcdir source directory for CoinUtils package
     1111  --with-coinutils-objdir object directory for CoinUtils package (if different
     1112                          from source directory in VPATH compilation)
     1113  --with-coin-instdir     prefix of installation directory for precompiled
     1114                          COIN packages
     1115  --with-clp-instdir prefix of installation directory for precompiled Clp
     1116                          package
     1117  --with-clp-srcdir source directory for Clp package
     1118  --with-clp-objdir object directory for Clp package (if different from source
     1119                          directory in VPATH compilation)
    11071120  --with-wsmp             specify WSMP library
    11081121
     
    57795792*-*-irix6*)
    57805793  # Find out which ABI we are using.
    5781   echo '#line 5781 "configure"' > conftest.$ac_ext
     5794  echo '#line 5794 "configure"' > conftest.$ac_ext
    57825795  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    57835796  (eval $ac_compile) 2>&5
     
    69136926
    69146927# Provide some information about the compiler.
    6915 echo "$as_me:6915:" \
     6928echo "$as_me:6928:" \
    69166929     "checking for Fortran 77 compiler version" >&5
    69176930ac_compiler=`set X $ac_compile; echo $2`
     
    79807993   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79817994   -e 's:$: $lt_compiler_flag:'`
    7982    (eval echo "\"\$as_me:7982: $lt_compile\"" >&5)
     7995   (eval echo "\"\$as_me:7995: $lt_compile\"" >&5)
    79837996   (eval "$lt_compile" 2>conftest.err)
    79847997   ac_status=$?
    79857998   cat conftest.err >&5
    7986    echo "$as_me:7986: \$? = $ac_status" >&5
     7999   echo "$as_me:7999: \$? = $ac_status" >&5
    79878000   if (exit $ac_status) && test -s "$ac_outfile"; then
    79888001     # The compiler can only warn and ignore the option if not recognized
     
    82488261   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82498262   -e 's:$: $lt_compiler_flag:'`
    8250    (eval echo "\"\$as_me:8250: $lt_compile\"" >&5)
     8263   (eval echo "\"\$as_me:8263: $lt_compile\"" >&5)
    82518264   (eval "$lt_compile" 2>conftest.err)
    82528265   ac_status=$?
    82538266   cat conftest.err >&5
    8254    echo "$as_me:8254: \$? = $ac_status" >&5
     8267   echo "$as_me:8267: \$? = $ac_status" >&5
    82558268   if (exit $ac_status) && test -s "$ac_outfile"; then
    82568269     # The compiler can only warn and ignore the option if not recognized
     
    83528365   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83538366   -e 's:$: $lt_compiler_flag:'`
    8354    (eval echo "\"\$as_me:8354: $lt_compile\"" >&5)
     8367   (eval echo "\"\$as_me:8367: $lt_compile\"" >&5)
    83558368   (eval "$lt_compile" 2>out/conftest.err)
    83568369   ac_status=$?
    83578370   cat out/conftest.err >&5
    8358    echo "$as_me:8358: \$? = $ac_status" >&5
     8371   echo "$as_me:8371: \$? = $ac_status" >&5
    83598372   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    83608373   then
     
    1069710710  lt_status=$lt_dlunknown
    1069810711  cat > conftest.$ac_ext <<EOF
    10699 #line 10699 "configure"
     10712#line 10712 "configure"
    1070010713#include "confdefs.h"
    1070110714
     
    1079710810  lt_status=$lt_dlunknown
    1079810811  cat > conftest.$ac_ext <<EOF
    10799 #line 10799 "configure"
     10812#line 10812 "configure"
    1080010813#include "confdefs.h"
    1080110814
     
    1314113154   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1314213155   -e 's:$: $lt_compiler_flag:'`
    13143    (eval echo "\"\$as_me:13143: $lt_compile\"" >&5)
     13156   (eval echo "\"\$as_me:13156: $lt_compile\"" >&5)
    1314413157   (eval "$lt_compile" 2>conftest.err)
    1314513158   ac_status=$?
    1314613159   cat conftest.err >&5
    13147    echo "$as_me:13147: \$? = $ac_status" >&5
     13160   echo "$as_me:13160: \$? = $ac_status" >&5
    1314813161   if (exit $ac_status) && test -s "$ac_outfile"; then
    1314913162     # The compiler can only warn and ignore the option if not recognized
     
    1324513258   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1324613259   -e 's:$: $lt_compiler_flag:'`
    13247    (eval echo "\"\$as_me:13247: $lt_compile\"" >&5)
     13260   (eval echo "\"\$as_me:13260: $lt_compile\"" >&5)
    1324813261   (eval "$lt_compile" 2>out/conftest.err)
    1324913262   ac_status=$?
    1325013263   cat out/conftest.err >&5
    13251    echo "$as_me:13251: \$? = $ac_status" >&5
     13264   echo "$as_me:13264: \$? = $ac_status" >&5
    1325213265   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1325313266   then
     
    1481514828   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1481614829   -e 's:$: $lt_compiler_flag:'`
    14817    (eval echo "\"\$as_me:14817: $lt_compile\"" >&5)
     14830   (eval echo "\"\$as_me:14830: $lt_compile\"" >&5)
    1481814831   (eval "$lt_compile" 2>conftest.err)
    1481914832   ac_status=$?
    1482014833   cat conftest.err >&5
    14821    echo "$as_me:14821: \$? = $ac_status" >&5
     14834   echo "$as_me:14834: \$? = $ac_status" >&5
    1482214835   if (exit $ac_status) && test -s "$ac_outfile"; then
    1482314836     # The compiler can only warn and ignore the option if not recognized
     
    1491914932   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1492014933   -e 's:$: $lt_compiler_flag:'`
    14921    (eval echo "\"\$as_me:14921: $lt_compile\"" >&5)
     14934   (eval echo "\"\$as_me:14934: $lt_compile\"" >&5)
    1492214935   (eval "$lt_compile" 2>out/conftest.err)
    1492314936   ac_status=$?
    1492414937   cat out/conftest.err >&5
    14925    echo "$as_me:14925: \$? = $ac_status" >&5
     14938   echo "$as_me:14938: \$? = $ac_status" >&5
    1492614939   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1492714940   then
     
    1712617139   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1712717140   -e 's:$: $lt_compiler_flag:'`
    17128    (eval echo "\"\$as_me:17128: $lt_compile\"" >&5)
     17141   (eval echo "\"\$as_me:17141: $lt_compile\"" >&5)
    1712917142   (eval "$lt_compile" 2>conftest.err)
    1713017143   ac_status=$?
    1713117144   cat conftest.err >&5
    17132    echo "$as_me:17132: \$? = $ac_status" >&5
     17145   echo "$as_me:17145: \$? = $ac_status" >&5
    1713317146   if (exit $ac_status) && test -s "$ac_outfile"; then
    1713417147     # The compiler can only warn and ignore the option if not recognized
     
    1739417407   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1739517408   -e 's:$: $lt_compiler_flag:'`
    17396    (eval echo "\"\$as_me:17396: $lt_compile\"" >&5)
     17409   (eval echo "\"\$as_me:17409: $lt_compile\"" >&5)
    1739717410   (eval "$lt_compile" 2>conftest.err)
    1739817411   ac_status=$?
    1739917412   cat conftest.err >&5
    17400    echo "$as_me:17400: \$? = $ac_status" >&5
     17413   echo "$as_me:17413: \$? = $ac_status" >&5
    1740117414   if (exit $ac_status) && test -s "$ac_outfile"; then
    1740217415     # The compiler can only warn and ignore the option if not recognized
     
    1749817511   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1749917512   -e 's:$: $lt_compiler_flag:'`
    17500    (eval echo "\"\$as_me:17500: $lt_compile\"" >&5)
     17513   (eval echo "\"\$as_me:17513: $lt_compile\"" >&5)
    1750117514   (eval "$lt_compile" 2>out/conftest.err)
    1750217515   ac_status=$?
    1750317516   cat out/conftest.err >&5
    17504    echo "$as_me:17504: \$? = $ac_status" >&5
     17517   echo "$as_me:17517: \$? = $ac_status" >&5
    1750517518   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1750617519   then
     
    2039720410# other locations)
    2039820411
    20399 coin_has_coinutils=unavailable
     20412coin_has_coinutils=notGiven
    2040020413if test x"$COIN_SKIP_PROJECTS" != x; then
    2040120414  for dir in $COIN_SKIP_PROJECTS; do
     
    2040620419fi
    2040720420
     20421
     20422
     20423
     20424
     20425COINUTILSSRCDIR=This_Variable_Is_Not_Set
     20426COINUTILSOBJDIR=This_Variable_Is_Not_Set
     20427COINUTILSDOCDIR=This_Variable_Is_Not_Set
     20428COINUTILSINSTDIR=This_Variable_Is_Not_Set
     20429
    2040820430if test $coin_has_coinutils != skipping; then
    2040920431  if test $PACKAGE_TARNAME = coinutils; then
    2041020432    coin_has_coinutils=.
    2041120433  else
    20412     if test -d $srcdir/../CoinUtils; then
    20413       coin_has_coinutils=../CoinUtils
     20434
     20435# Check whether --with-m4_tolower(CoinUtils)-instdir or --without-m4_tolower(CoinUtils)-instdir was given.
     20436if test "${with_coinutils_instdir+set}" = set; then
     20437  withval="$with_coinutils_instdir"
     20438  coin_has_coinutils=installed
     20439                 if test -d "$withval"; then : ; else
     20440                   { { echo "$as_me:$LINENO: error: argument for --with-coinutils-instdir not a directory" >&5
     20441echo "$as_me: error: argument for --with-coinutils-instdir not a directory" >&2;}
     20442   { (exit 1); exit 1; }; }
     20443                 fi
     20444                 COINUTILSINSTDIR=`cd $withval; pwd`
     20445fi;
     20446
     20447
     20448# Check whether --with-m4_tolower(CoinUtils)-srcdir or --without-m4_tolower(CoinUtils)-srcdir was given.
     20449if test "${with_coinutils_srcdir+set}" = set; then
     20450  withval="$with_coinutils_srcdir"
     20451  if test "$coin_has_coinutils" = installed; then
     20452                   { { echo "$as_me:$LINENO: error: --with-$coinutils-srcdir cannot be given together with --with-coinutils-instdir" >&5
     20453echo "$as_me: error: --with-$coinutils-srcdir cannot be given together with --with-coinutils-instdir" >&2;}
     20454   { (exit 1); exit 1; }; }
     20455                 fi
     20456                 if test -d "$withval"; then : ; else
     20457                   { { echo "$as_me:$LINENO: error: argument for --with-coinutils-srcdir not a directory" >&5
     20458echo "$as_me: error: argument for --with-coinutils-srcdir not a directory" >&2;}
     20459   { (exit 1); exit 1; }; }
     20460                 fi
     20461                 coin_has_coinutils=$withval
     20462                 COINUTILSSRCDIR=`cd $withval; pwd`
     20463fi;
     20464
     20465
     20466# Check whether --with-m4_tolower(CoinUtils)-objdir or --without-m4_tolower(CoinUtils)-objdir was given.
     20467if test "${with_coinutils_objdir+set}" = set; then
     20468  withval="$with_coinutils_objdir"
     20469  if test "$coin_has_coinutils" = installed; then
     20470                   { { echo "$as_me:$LINENO: error: --with-coinutils-objdir cannot be given together with --with-coinutils-instdir" >&5
     20471echo "$as_me: error: --with-coinutils-objdir cannot be given together with --with-coinutils-instdir" >&2;}
     20472   { (exit 1); exit 1; }; }
     20473                 fi
     20474                 if test "$coin_has_coinutils" = notGiven; then
     20475                   { { echo "$as_me:$LINENO: error: --with-coinutils-objdir must be accompanied by --with-coinutils-srcdir" >&5
     20476echo "$as_me: error: --with-coinutils-objdir must be accompanied by --with-coinutils-srcdir" >&2;}
     20477   { (exit 1); exit 1; }; }
     20478                 fi
     20479                 if test -d "$withval"; then : ; else
     20480                   { { echo "$as_me:$LINENO: error: argument for --with-coinutils-objdir not a directory" >&5
     20481echo "$as_me: error: argument for --with-coinutils-objdir not a directory" >&2;}
     20482   { (exit 1); exit 1; }; }
     20483                 fi
     20484                 COINUTILSOBJDIR=`cd $withval; pwd`
     20485else
     20486  COINUTILSOBJDIR="$COINUTILSSRCDIR"
     20487fi;
     20488
     20489    # if we still don't have a location, check for generic flag
     20490    if test "$coin_has_coinutils" = notGiven; then
     20491
     20492# Check whether --with-coin-instdir or --without-coin-instdir was given.
     20493if test "${with_coin_instdir+set}" = set; then
     20494  withval="$with_coin_instdir"
     20495  coin_has_coinutils=installed
     20496                   if test -d "$withval"; then : ; else
     20497                     { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     20498echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     20499   { (exit 1); exit 1; }; }
     20500                   fi
     20501                   COINUTILSINSTDIR=`cd $withval; pwd`
     20502fi;
     20503    fi
     20504
     20505    if test "$coin_has_coinutils" = notGiven; then
     20506      if test -d $srcdir/../CoinUtils; then
     20507        coin_has_coinutils=../CoinUtils
     20508      fi
    2041420509    fi
    2041520510  fi
    2041620511fi
    2041720512
    20418 if test $coin_has_coinutils != unavailable &&
     20513if test $coin_has_coinutils != notGiven &&
    2041920514   test $coin_has_coinutils != skipping; then
    2042020515  # Set the #define if the component is available
     
    2042520520
    2042620521
    20427   # Set the variables for source and object code location
    20428 
    20429   COINUTILSSRCDIR=`cd $srcdir/$coin_has_coinutils; pwd`
    20430 
    20431   COINUTILSOBJDIR=`pwd`/$coin_has_coinutils
    20432 
    20433   COINUTILSDOCDIR=$abs_lib_dir/../share/doc/coin/CoinUtils
     20522  if test $coin_has_coinutils = installed; then
     20523    COINUTILSDOCDIR=$COINUTILSINSTDIR/share/doc/coin/CoinUtils
     20524  else
     20525    if test "$COINUTILSOBJDIR" = This_Variable_Is_Not_Set; then
     20526      # Set the variables for source and object code location
     20527      COINUTILSSRCDIR=`cd $srcdir/$coin_has_coinutils; pwd`
     20528      COINUTILSOBJDIR=`pwd`/$coin_has_coinutils
     20529      COINUTILSDOCDIR=$abs_lib_dir/../share/doc/coin/CoinUtils
     20530    else
     20531      # This is just a guess:
     20532      COINUTILSDOCDIR=$COINUTILSOBJDIR/../share/doc/coin/CoinUtils
     20533    fi
     20534  fi
    2043420535fi
    2043520536
     
    2043720538
    2043820539
    20439 if test $coin_has_coinutils != unavailable &&
     20540if test $coin_has_coinutils != notGiven &&
    2044020541                test $coin_has_coinutils != skipping; then
    2044120542  COIN_HAS_COINUTILS_TRUE=
     
    2044620547fi
    2044720548
    20448 echo "$as_me:$LINENO: result: $coin_has_coinutils" >&5
     20549
     20550
     20551if test $coin_has_coinutils = installed; then
     20552  COIN_HAS_COINUTILS_INSTALLED_TRUE=
     20553  COIN_HAS_COINUTILS_INSTALLED_FALSE='#'
     20554else
     20555  COIN_HAS_COINUTILS_INSTALLED_TRUE='#'
     20556  COIN_HAS_COINUTILS_INSTALLED_FALSE=
     20557fi
     20558
     20559
     20560if test $coin_has_coinutils = installed; then
     20561  echo "$as_me:$LINENO: result: installed in $COINUTILSINSTDIR" >&5
     20562echo "${ECHO_T}installed in $COINUTILSINSTDIR" >&6
     20563  # Check for header
     20564  tmp=$COINUTILSINSTDIR/include/coin
     20565                  echo "$as_me:$LINENO: checking whether header CoinTime.hpp is available in $tmp" >&5
     20566echo $ECHO_N "checking whether header CoinTime.hpp is available in $tmp... $ECHO_C" >&6
     20567                  if test -r $tmp/CoinTime.hpp; then
     20568                    echo "$as_me:$LINENO: result: yes" >&5
     20569echo "${ECHO_T}yes" >&6
     20570                  else
     20571                    echo "$as_me:$LINENO: result: no" >&5
     20572echo "${ECHO_T}no" >&6
     20573                    { { echo "$as_me:$LINENO: error: Header CoinTime.hpp not available in CoinUtils installation directory" >&5
     20574echo "$as_me: error: Header CoinTime.hpp not available in CoinUtils installation directory" >&2;}
     20575   { (exit 1); exit 1; }; }
     20576                  fi
     20577
     20578  # Check for library (this is not qo reliable)
     20579  tmp=$COINUTILSINSTDIR/lib
     20580                  echo "$as_me:$LINENO: checking whether library libCoinUtils.* is available in $tmp" >&5
     20581echo $ECHO_N "checking whether library libCoinUtils.* is available in $tmp... $ECHO_C" >&6
     20582                  bla=`ls $tmp/libCoinUtils.* 2>/dev/null | head -n 1`
     20583                  if test x"$bla" = x; then
     20584                    echo "$as_me:$LINENO: result: no" >&5
     20585echo "${ECHO_T}no" >&6
     20586                    { { echo "$as_me:$LINENO: error: Library libCoinUtils.* not available in CoinUtils installation directory" >&5
     20587echo "$as_me: error: Library libCoinUtils.* not available in CoinUtils installation directory" >&2;}
     20588   { (exit 1); exit 1; }; }
     20589                  else
     20590                    echo "$as_me:$LINENO: result: found $bla" >&5
     20591echo "${ECHO_T}found $bla" >&6
     20592                  fi
     20593
     20594else
     20595  echo "$as_me:$LINENO: result: $coin_has_coinutils" >&5
    2044920596echo "${ECHO_T}$coin_has_coinutils" >&6
     20597fi
    2045020598
    2045120599echo "$as_me:$LINENO: checking for COIN project Clp" >&5
     
    2045520603# other locations)
    2045620604
    20457 coin_has_clp=unavailable
     20605coin_has_clp=notGiven
    2045820606if test x"$COIN_SKIP_PROJECTS" != x; then
    2045920607  for dir in $COIN_SKIP_PROJECTS; do
     
    2046420612fi
    2046520613
     20614
     20615
     20616
     20617
     20618CLPSRCDIR=This_Variable_Is_Not_Set
     20619CLPOBJDIR=This_Variable_Is_Not_Set
     20620CLPDOCDIR=This_Variable_Is_Not_Set
     20621CLPINSTDIR=This_Variable_Is_Not_Set
     20622
    2046620623if test $coin_has_clp != skipping; then
    2046720624  if test $PACKAGE_TARNAME = clp; then
    2046820625    coin_has_clp=.
    2046920626  else
    20470     if test -d $srcdir/../Clp; then
    20471       coin_has_clp=../Clp
     20627
     20628# Check whether --with-m4_tolower(Clp)-instdir or --without-m4_tolower(Clp)-instdir was given.
     20629if test "${with_clp_instdir+set}" = set; then
     20630  withval="$with_clp_instdir"
     20631  coin_has_clp=installed
     20632                 if test -d "$withval"; then : ; else
     20633                   { { echo "$as_me:$LINENO: error: argument for --with-clp-instdir not a directory" >&5
     20634echo "$as_me: error: argument for --with-clp-instdir not a directory" >&2;}
     20635   { (exit 1); exit 1; }; }
     20636                 fi
     20637                 CLPINSTDIR=`cd $withval; pwd`
     20638fi;
     20639
     20640
     20641# Check whether --with-m4_tolower(Clp)-srcdir or --without-m4_tolower(Clp)-srcdir was given.
     20642if test "${with_clp_srcdir+set}" = set; then
     20643  withval="$with_clp_srcdir"
     20644  if test "$coin_has_clp" = installed; then
     20645                   { { echo "$as_me:$LINENO: error: --with-$clp-srcdir cannot be given together with --with-clp-instdir" >&5
     20646echo "$as_me: error: --with-$clp-srcdir cannot be given together with --with-clp-instdir" >&2;}
     20647   { (exit 1); exit 1; }; }
     20648                 fi
     20649                 if test -d "$withval"; then : ; else
     20650                   { { echo "$as_me:$LINENO: error: argument for --with-clp-srcdir not a directory" >&5
     20651echo "$as_me: error: argument for --with-clp-srcdir not a directory" >&2;}
     20652   { (exit 1); exit 1; }; }
     20653                 fi
     20654                 coin_has_clp=$withval
     20655                 CLPSRCDIR=`cd $withval; pwd`
     20656fi;
     20657
     20658
     20659# Check whether --with-m4_tolower(Clp)-objdir or --without-m4_tolower(Clp)-objdir was given.
     20660if test "${with_clp_objdir+set}" = set; then
     20661  withval="$with_clp_objdir"
     20662  if test "$coin_has_clp" = installed; then
     20663                   { { echo "$as_me:$LINENO: error: --with-clp-objdir cannot be given together with --with-clp-instdir" >&5
     20664echo "$as_me: error: --with-clp-objdir cannot be given together with --with-clp-instdir" >&2;}
     20665   { (exit 1); exit 1; }; }
     20666                 fi
     20667                 if test "$coin_has_clp" = notGiven; then
     20668                   { { echo "$as_me:$LINENO: error: --with-clp-objdir must be accompanied by --with-clp-srcdir" >&5
     20669echo "$as_me: error: --with-clp-objdir must be accompanied by --with-clp-srcdir" >&2;}
     20670   { (exit 1); exit 1; }; }
     20671                 fi
     20672                 if test -d "$withval"; then : ; else
     20673                   { { echo "$as_me:$LINENO: error: argument for --with-clp-objdir not a directory" >&5
     20674echo "$as_me: error: argument for --with-clp-objdir not a directory" >&2;}
     20675   { (exit 1); exit 1; }; }
     20676                 fi
     20677                 CLPOBJDIR=`cd $withval; pwd`
     20678else
     20679  CLPOBJDIR="$CLPSRCDIR"
     20680fi;
     20681
     20682    # if we still don't have a location, check for generic flag
     20683    if test "$coin_has_clp" = notGiven; then
     20684
     20685# Check whether --with-coin-instdir or --without-coin-instdir was given.
     20686if test "${with_coin_instdir+set}" = set; then
     20687  withval="$with_coin_instdir"
     20688  coin_has_clp=installed
     20689                   if test -d "$withval"; then : ; else
     20690                     { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     20691echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     20692   { (exit 1); exit 1; }; }
     20693                   fi
     20694                   CLPINSTDIR=`cd $withval; pwd`
     20695fi;
     20696    fi
     20697
     20698    if test "$coin_has_clp" = notGiven; then
     20699      if test -d $srcdir/../Clp; then
     20700        coin_has_clp=../Clp
     20701      fi
    2047220702    fi
    2047320703  fi
    2047420704fi
    2047520705
    20476 if test $coin_has_clp != unavailable &&
     20706if test $coin_has_clp != notGiven &&
    2047720707   test $coin_has_clp != skipping; then
    2047820708  # Set the #define if the component is available
     
    2048320713
    2048420714
    20485   # Set the variables for source and object code location
    20486 
    20487   CLPSRCDIR=`cd $srcdir/$coin_has_clp; pwd`
    20488 
    20489   CLPOBJDIR=`pwd`/$coin_has_clp
    20490 
    20491   CLPDOCDIR=$abs_lib_dir/../share/doc/coin/Clp
     20715  if test $coin_has_clp = installed; then
     20716    CLPDOCDIR=$CLPINSTDIR/share/doc/coin/Clp
     20717  else
     20718    if test "$CLPOBJDIR" = This_Variable_Is_Not_Set; then
     20719      # Set the variables for source and object code location
     20720      CLPSRCDIR=`cd $srcdir/$coin_has_clp; pwd`
     20721      CLPOBJDIR=`pwd`/$coin_has_clp
     20722      CLPDOCDIR=$abs_lib_dir/../share/doc/coin/Clp
     20723    else
     20724      # This is just a guess:
     20725      CLPDOCDIR=$CLPOBJDIR/../share/doc/coin/Clp
     20726    fi
     20727  fi
    2049220728fi
    2049320729
     
    2049520731
    2049620732
    20497 if test $coin_has_clp != unavailable &&
     20733if test $coin_has_clp != notGiven &&
    2049820734                test $coin_has_clp != skipping; then
    2049920735  COIN_HAS_CLP_TRUE=
     
    2050420740fi
    2050520741
    20506 echo "$as_me:$LINENO: result: $coin_has_clp" >&5
     20742
     20743
     20744if test $coin_has_clp = installed; then
     20745  COIN_HAS_CLP_INSTALLED_TRUE=
     20746  COIN_HAS_CLP_INSTALLED_FALSE='#'
     20747else
     20748  COIN_HAS_CLP_INSTALLED_TRUE='#'
     20749  COIN_HAS_CLP_INSTALLED_FALSE=
     20750fi
     20751
     20752
     20753if test $coin_has_clp = installed; then
     20754  echo "$as_me:$LINENO: result: installed in $CLPINSTDIR" >&5
     20755echo "${ECHO_T}installed in $CLPINSTDIR" >&6
     20756  # Check for header
     20757
     20758  # Check for library (this is not qo reliable)
     20759
     20760else
     20761  echo "$as_me:$LINENO: result: $coin_has_clp" >&5
    2050720762echo "${ECHO_T}$coin_has_clp" >&6
     20763fi
    2050820764
    2050920765
     
    2119221448   { (exit 1); exit 1; }; }
    2119321449fi
     21450if test -z "${COIN_HAS_COINUTILS_INSTALLED_TRUE}" && test -z "${COIN_HAS_COINUTILS_INSTALLED_FALSE}"; then
     21451  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_COINUTILS_INSTALLED\" was never defined.
     21452Usually this means the macro was only invoked conditionally." >&5
     21453echo "$as_me: error: conditional \"COIN_HAS_COINUTILS_INSTALLED\" was never defined.
     21454Usually this means the macro was only invoked conditionally." >&2;}
     21455   { (exit 1); exit 1; }; }
     21456fi
    2119421457if test -z "${COIN_HAS_CLP_TRUE}" && test -z "${COIN_HAS_CLP_FALSE}"; then
    2119521458  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_CLP\" was never defined.
    2119621459Usually this means the macro was only invoked conditionally." >&5
    2119721460echo "$as_me: error: conditional \"COIN_HAS_CLP\" was never defined.
     21461Usually this means the macro was only invoked conditionally." >&2;}
     21462   { (exit 1); exit 1; }; }
     21463fi
     21464if test -z "${COIN_HAS_CLP_INSTALLED_TRUE}" && test -z "${COIN_HAS_CLP_INSTALLED_FALSE}"; then
     21465  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_CLP_INSTALLED\" was never defined.
     21466Usually this means the macro was only invoked conditionally." >&5
     21467echo "$as_me: error: conditional \"COIN_HAS_CLP_INSTALLED\" was never defined.
    2119821468Usually this means the macro was only invoked conditionally." >&2;}
    2119921469   { (exit 1); exit 1; }; }
     
    2183722107s,@COINUTILSOBJDIR@,$COINUTILSOBJDIR,;t t
    2183822108s,@COINUTILSDOCDIR@,$COINUTILSDOCDIR,;t t
     22109s,@COINUTILSINSTDIR@,$COINUTILSINSTDIR,;t t
    2183922110s,@COIN_HAS_COINUTILS_TRUE@,$COIN_HAS_COINUTILS_TRUE,;t t
    2184022111s,@COIN_HAS_COINUTILS_FALSE@,$COIN_HAS_COINUTILS_FALSE,;t t
     22112s,@COIN_HAS_COINUTILS_INSTALLED_TRUE@,$COIN_HAS_COINUTILS_INSTALLED_TRUE,;t t
     22113s,@COIN_HAS_COINUTILS_INSTALLED_FALSE@,$COIN_HAS_COINUTILS_INSTALLED_FALSE,;t t
    2184122114s,@CLPSRCDIR@,$CLPSRCDIR,;t t
    2184222115s,@CLPOBJDIR@,$CLPOBJDIR,;t t
    2184322116s,@CLPDOCDIR@,$CLPDOCDIR,;t t
     22117s,@CLPINSTDIR@,$CLPINSTDIR,;t t
    2184422118s,@COIN_HAS_CLP_TRUE@,$COIN_HAS_CLP_TRUE,;t t
    2184522119s,@COIN_HAS_CLP_FALSE@,$COIN_HAS_CLP_FALSE,;t t
     22120s,@COIN_HAS_CLP_INSTALLED_TRUE@,$COIN_HAS_CLP_INSTALLED_TRUE,;t t
     22121s,@COIN_HAS_CLP_INSTALLED_FALSE@,$COIN_HAS_CLP_INSTALLED_FALSE,;t t
    2184622122s,@LIBEXT@,$LIBEXT,;t t
    2184722123s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
  • stable/BSPsplit/Clp/configure.ac

    r1349 r1380  
    5757#############################################################################
    5858
    59 AC_COIN_HAS_PROJECT(CoinUtils)
     59AC_COIN_HAS_PROJECT(CoinUtils, CoinTime.hpp, libCoinUtils)
    6060AC_COIN_HAS_PROJECT(Clp)
    6161
  • stable/BSPsplit/Clp/src/Makefile.am

    r1344 r1380  
    9292
    9393# List all additionally required COIN libraries
    94 clp_LDADD = libClp.la \
    95         $(COINUTILSOBJDIR)/src/libCoinUtils.la
     94clp_LDADD = libClp.la
     95if COIN_HAS_COINUTILS_INSTALLED
     96  clp_LDADD += -L$(COINUTILSINSTDIR)/lib -lCoinUtils
     97else
     98  clp_LDADD += $(COINUTILSOBJDIR)/src/libCoinUtils.la
     99endif
    96100
    97101# Here we add additional libraries
    98 LIBS += $(ADDLIBS) `cat $(COINUTILSOBJDIR)/coinutils_addlibs.txt`
     102LIBS += $(ADDLIBS)
     103if COIN_HAS_COINUTILS_INSTALLED
     104  LIBS += `cat $(COINUTILSDOCDIR)/coinutils_addlibs.txt`
     105else
     106  LIBS += `cat $(COINUTILSOBJDIR)/coinutils_addlibs.txt`
     107endif
    99108
    100109# Finally, the -rpath flag is used by libtool to make sure that the shared
     
    109118# Here list all include flags, relative to this "srcdir" directory.  This
    110119# "cygpath" stuff is necessary to compile with native compilers on Windows.
    111 AM_CPPFLAGS = \
     120if COIN_HAS_COINUTILS_INSTALLED
     121  AM_CPPFLAGS = -I`$(CYGPATH_W) $(COINUTILSINSTDIR)/include/coin`
     122else
     123  AM_CPPFLAGS = \
    112124        -I`$(CYGPATH_W) $(COINUTILSSRCDIR)/src` \
    113125        -I`$(CYGPATH_W) $(COINUTILSOBJDIR)/inc`
     126endif
    114127
    115128# This line is necessary to allow VPATH compilation with MS compilers
  • stable/BSPsplit/Clp/src/Makefile.in

    r1344 r1380  
    4646host_triplet = @host@
    4747bin_PROGRAMS = clp$(EXEEXT)
     48@COIN_HAS_COINUTILS_INSTALLED_TRUE@am__append_1 = -L$(COINUTILSINSTDIR)/lib -lCoinUtils
     49@COIN_HAS_COINUTILS_INSTALLED_FALSE@am__append_2 = $(COINUTILSOBJDIR)/src/libCoinUtils.la
     50@COIN_HAS_COINUTILS_INSTALLED_TRUE@am__append_3 = `cat $(COINUTILSDOCDIR)/coinutils_addlibs.txt`
     51@COIN_HAS_COINUTILS_INSTALLED_FALSE@am__append_4 = `cat $(COINUTILSOBJDIR)/coinutils_addlibs.txt`
    4852subdir = src
    4953DIST_COMMON = $(includecoin_HEADERS) $(srcdir)/Makefile.am \
     
    9397        unitTest.$(OBJEXT)
    9498clp_OBJECTS = $(am_clp_OBJECTS)
    95 clp_DEPENDENCIES = libClp.la $(COINUTILSOBJDIR)/src/libCoinUtils.la
     99am__DEPENDENCIES_1 =
     100@COIN_HAS_COINUTILS_INSTALLED_FALSE@am__DEPENDENCIES_2 = $(COINUTILSOBJDIR)/src/libCoinUtils.la
     101clp_DEPENDENCIES = libClp.la $(am__DEPENDENCIES_1) \
     102        $(am__DEPENDENCIES_2)
    96103depcomp = $(SHELL) $(top_srcdir)/../depcomp
    97104am__depfiles_maybe = depfiles
     
    140147CFLAGS = @CFLAGS@
    141148CLPDOCDIR = @CLPDOCDIR@
     149CLPINSTDIR = @CLPINSTDIR@
    142150CLPOBJDIR = @CLPOBJDIR@
    143151CLPSRCDIR = @CLPSRCDIR@
    144152COINUTILSDOCDIR = @COINUTILSDOCDIR@
     153COINUTILSINSTDIR = @COINUTILSINSTDIR@
    145154COINUTILSOBJDIR = @COINUTILSOBJDIR@
    146155COINUTILSSRCDIR = @COINUTILSSRCDIR@
    147156COIN_HAS_CLP_FALSE = @COIN_HAS_CLP_FALSE@
     157COIN_HAS_CLP_INSTALLED_FALSE = @COIN_HAS_CLP_INSTALLED_FALSE@
     158COIN_HAS_CLP_INSTALLED_TRUE = @COIN_HAS_CLP_INSTALLED_TRUE@
    148159COIN_HAS_CLP_TRUE = @COIN_HAS_CLP_TRUE@
    149160COIN_HAS_COINUTILS_FALSE = @COIN_HAS_COINUTILS_FALSE@
     161COIN_HAS_COINUTILS_INSTALLED_FALSE = @COIN_HAS_COINUTILS_INSTALLED_FALSE@
     162COIN_HAS_COINUTILS_INSTALLED_TRUE = @COIN_HAS_COINUTILS_INSTALLED_TRUE@
    150163COIN_HAS_COINUTILS_TRUE = @COIN_HAS_COINUTILS_TRUE@
    151164CPP = @CPP@
     
    181194
    182195# Here we add additional libraries
    183 LIBS = @LIBS@ $(ADDLIBS) `cat \
    184         $(COINUTILSOBJDIR)/coinutils_addlibs.txt`
     196LIBS = @LIBS@ $(ADDLIBS) $(am__append_3) $(am__append_4)
    185197LIBTOOL = @LIBTOOL@
    186198LIBTOOLM4 = @LIBTOOLM4@
     
    343355
    344356# List all additionally required COIN libraries
    345 clp_LDADD = libClp.la \
    346         $(COINUTILSOBJDIR)/src/libCoinUtils.la
    347 
     357clp_LDADD = libClp.la $(am__append_1) $(am__append_2)
    348358
    349359# Finally, the -rpath flag is used by libtool to make sure that the shared
     
    351361# libraries.
    352362clp_LDFLAGS = -rpath $(libdir)
     363@COIN_HAS_COINUTILS_INSTALLED_FALSE@AM_CPPFLAGS = \
     364@COIN_HAS_COINUTILS_INSTALLED_FALSE@    -I`$(CYGPATH_W) $(COINUTILSSRCDIR)/src` \
     365@COIN_HAS_COINUTILS_INSTALLED_FALSE@    -I`$(CYGPATH_W) $(COINUTILSOBJDIR)/inc`
     366
    353367
    354368########################################################################
     
    358372# Here list all include flags, relative to this "srcdir" directory.  This
    359373# "cygpath" stuff is necessary to compile with native compilers on Windows.
    360 AM_CPPFLAGS = \
    361         -I`$(CYGPATH_W) $(COINUTILSSRCDIR)/src` \
    362         -I`$(CYGPATH_W) $(COINUTILSOBJDIR)/inc`
    363 
     374@COIN_HAS_COINUTILS_INSTALLED_TRUE@AM_CPPFLAGS = -I`$(CYGPATH_W) $(COINUTILSINSTDIR)/include/coin`
    364375
    365376# This line is necessary to allow VPATH compilation with MS compilers
  • stable/BSPsplit/Clp/test/Makefile.in

    r1155 r1380  
    7676CFLAGS = @CFLAGS@
    7777CLPDOCDIR = @CLPDOCDIR@
     78CLPINSTDIR = @CLPINSTDIR@
    7879CLPOBJDIR = @CLPOBJDIR@
    7980CLPSRCDIR = @CLPSRCDIR@
    8081COINUTILSDOCDIR = @COINUTILSDOCDIR@
     82COINUTILSINSTDIR = @COINUTILSINSTDIR@
    8183COINUTILSOBJDIR = @COINUTILSOBJDIR@
    8284COINUTILSSRCDIR = @COINUTILSSRCDIR@
    8385COIN_HAS_CLP_FALSE = @COIN_HAS_CLP_FALSE@
     86COIN_HAS_CLP_INSTALLED_FALSE = @COIN_HAS_CLP_INSTALLED_FALSE@
     87COIN_HAS_CLP_INSTALLED_TRUE = @COIN_HAS_CLP_INSTALLED_TRUE@
    8488COIN_HAS_CLP_TRUE = @COIN_HAS_CLP_TRUE@
    8589COIN_HAS_COINUTILS_FALSE = @COIN_HAS_COINUTILS_FALSE@
     90COIN_HAS_COINUTILS_INSTALLED_FALSE = @COIN_HAS_COINUTILS_INSTALLED_FALSE@
     91COIN_HAS_COINUTILS_INSTALLED_TRUE = @COIN_HAS_COINUTILS_INSTALLED_TRUE@
    8692COIN_HAS_COINUTILS_TRUE = @COIN_HAS_COINUTILS_TRUE@
    8793CPP = @CPP@
Note: See TracChangeset for help on using the changeset viewer.